package cn.iocoder.yudao.module.system.service.mqtt;

import cn.iocoder.yudao.module.system.api.path.PathApi;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Slf4j
@Service
public class PathRouteDisplayPlanningServiceImpl implements MqttService{

    @Resource
    private PathApi pathApi;

    @Override
    public void analysisMessage(String message) {
        log.info("收到路径规划的消息 :{}",message);
        pathApi.pathPlanningMove(message);
    }
}
